Pular para o conteúdo

As inscrições em eventos do associado (com o conteúdo do QR das confirmadas)

GET
/v1/me/registrations
curl --request GET \
--url 'https://api.vimine.network/v1/me/registrations?filter=upcoming' \
--header 'Authorization: Bearer <token>'
filter
string
Valores permitidos: upcoming all

Inscrições

Tipo de mídiaapplication/json
object
items
Array<object>
object
id
string formato: uuid
status
string
Valores permitidos: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
nullable
timezone
string
status
string
location
string
nullable
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
nullable
checked_in_at
string formato: date-time
nullable
cancelled_at
string formato: date-time
nullable
cancel_reason
string
nullable
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions

Como pagar a contribuição durante a reserva

string
nullable
note

Texto livre que a pessoa escreveu. Omitido (null) para os clientes de terceiros quando a associação declarou que trata categorias especiais de dados

string
nullable
created_at
string formato: date-time
token

O conteúdo do QR da inscrição (vmt_…), só para as inscrições confirmadas

string
nullable
Exemplo
{
"items": [
{
"status": "reserved"
}
]
}

Requisição inválida

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Credenciais ausentes ou inválidas

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Não permitido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Não encontrado

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Limite de requisições excedido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erro interno

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}